summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD41
-rw-r--r--day-of-the-tentacle-hib.desktop10
3 files changed, 72 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6389414d54c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = day-of-the-tentacle-hib
+ pkgdesc = A mind-bending, time travel, cartoon puzzle adventure game. (Humble Bundle)
+ pkgver = 1.4.1+h20160426
+ pkgrel = 1
+ url = http://dott.doublefine.com
+ arch = i686
+ arch = x86_64
+ license = unknown
+ depends = lib32-mesa
+ provides = day-of-the-tentacle
+ conflicts = day-of-the-tentacle
+ source = hib://DayOfTheTentacle_Linux_NoSteam_v1.4.1.tar.gz
+ source = day-of-the-tentacle-hib.png::https://humblebundle-a.akamaihd.net/misc/files/hashed/e4deb24a1de8e77c6227d86a23024460345f73cf.png
+ source = local://day-of-the-tentacle-hib.desktop
+ md5sums = 667b2a8a082702832242321515e55e70
+ md5sums = 194ec818316a9d1ce44b79c39844627e
+ md5sums = b5f9c9bc9380fe2f263b6ed7bced8faf
+ depends_i686 = mesa
+
+pkgname = day-of-the-tentacle-hib
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e3bb57fef23
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Dan McCurry <dan.mccurry at linux dot com>
+pkgname=day-of-the-tentacle-hib
+pkgver=1.4.1+h20160426
+pkgrel=1
+pkgdesc="A mind-bending, time travel, cartoon puzzle adventure game. (Humble Bundle)"
+arch=('i686' 'x86_64')
+url="http://dott.doublefine.com"
+license=('unknown')
+depends_i686=('mesa')
+depends_x86_64=('lib32-mesa')
+provides=("${pkgname%-hib}")
+conflicts=("${pkgname%-hib}")
+install=
+source=("hib://DayOfTheTentacle_Linux_NoSteam_v${pkgver%+h*}.tar.gz"
+ "${pkgname}.png::https://humblebundle-a.akamaihd.net/misc/files/hashed/e4deb24a1de8e77c6227d86a23024460345f73cf.png"
+ "local://${pkgname}.desktop")
+md5sums=('667b2a8a082702832242321515e55e70'
+ '194ec818316a9d1ce44b79c39844627e'
+ 'b5f9c9bc9380fe2f263b6ed7bced8faf')
+DLAGENTS+=('hib::/usr/bin/echo Could not find %u. Manually download it to \"$(pwd)\", or set up a hib:// DLAGENT in /etc/makepkg.conf.; exit 1')
+PKGEXT=.pkg.tar
+
+package() {
+ cd "$srcdir"
+ install -Dm755 Dott "${pkgdir}/opt/${pkgname%-hib}/Dott"
+ install -Dm644 controllerdef.txt \
+ "${pkgdir}/opt/${pkgname%-hib}/controllerdef.txt"
+ install -Dm644 tenta.cle "${pkgdir}/opt/${pkgname%-hib}/tenta.cle"
+ for i in lib/*; do
+ install -Dm644 $i "${pkgdir}/opt/${pkgname%-hib}/$i"
+ done
+ install -Dm644 readme.txt \
+ "${pkgdir}/usr/share/doc/${pkgname}/readme.txt"
+ install -Dm644 ${pkgname}.desktop \
+ "${pkgdir}/usr/share/applications/${pkgname}.desktop"
+ install -Dm644 ${pkgname}.png \
+ "${pkgdir}/usr/share/pixmaps/${pkgname%-hib}.png"
+
+ mkdir -p "${pkgdir}/usr/bin"
+ ln -s /opt/${pkgname%-hib}/Dott ${pkgdir}/usr/bin/Dott
+}
diff --git a/day-of-the-tentacle-hib.desktop b/day-of-the-tentacle-hib.desktop
new file mode 100644
index 00000000000..620f26b1b6f
--- /dev/null
+++ b/day-of-the-tentacle-hib.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Name=Day of the Tentacle Remastered
+Comment=A mind-bending, time travel, cartoon puzzle adventure game.
+Exec=Dott
+Icon=day-of-the-tentacle
+Terminal=false
+StartupNotify=false
+Categories=Application;Game;;